attribute highp   vec3  inVertex;
attribute mediump vec2  inTexCoord;

uniform highp   mat4  MVPMatrix;
uniform mediump vec2  TextureSize;

varying mediump vec2   TexCoord;

void main()
{
	// Transform position
	gl_Position = MVPMatrix * vec4(inVertex, 1.0);

    // Pass through texcoords
    vec2 uv = inTexCoord;
    
    //HACK: .pod models uv correction
    uv -= vec2(0.4999, 0.4999);
    uv *= 1.0002;
    uv += vec2(0.5, 0.5);
    
    TexCoord = uv * TextureSize;
}
